class Animal
{
public:
   virtual ~Animal(){};
   virtual void Hraneste()=0;
};

class Ghepard: public Animal
{
public:
   virtual ~Ghepard(){}; 
   virtual void Hraneste() {cout << "\n Omoara o gazela si maninc-o";}
};

class Casalot: public Animal
{
   virtual ~Casalot(){};
   virtual void Hraneste() {cout << "\n Prinde pesti si maninca-i";}
};

class Pisica: public Animal
{
   virtual ~Pisica(){};
   virtual void Hraneste() {cout << "\n Bea niste lapte";}
};
